#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: crypto-pubkey
version: 0.2.8
id: crypto-pubkey-0.2.8-BdWQpIV4XfQ8C25e4en0Gl
key: crypto-pubkey-0.2.8-BdWQpIV4XfQ8C25e4en0Gl
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: https://github.com/vincenthz/hs-crypto-pubkey
synopsis: Public Key cryptography
description:
    Public Key cryptography
    .
    Supports RSA PKCS15, RSA OAEP, RSA PSS, DSA, ElGamal signature.
    .
    Also have primitive support for Diffie Hellman, and ElGamal encryption
category: Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
indefinite: False
exposed-modules:
    Crypto.PubKey.DH Crypto.PubKey.DSA Crypto.PubKey.ECC.DH
    Crypto.PubKey.ECC.ECDSA Crypto.PubKey.ECC.Generate
    Crypto.PubKey.ECC.Prim Crypto.PubKey.HashDescr
    Crypto.PubKey.MaskGenFunction Crypto.PubKey.RSA
    Crypto.PubKey.RSA.OAEP Crypto.PubKey.RSA.PKCS15
    Crypto.PubKey.RSA.PSS Crypto.PubKey.RSA.Prim
hidden-modules: Crypto.PubKey.ElGamal Crypto.PubKey.RSA.Types
                Crypto.PubKey.Internal
abi: 71062ee45cbff00b781d1c09e1f7ed45
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
library-dirs: /usr/lib/ghc-8.2.2/site-local/crypto-pubkey-0.2.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.2.2/crypto-pubkey-0.2.8
hs-libraries: HScrypto-pubkey-0.2.8-BdWQpIV4XfQ8C25e4en0Gl
depends:
    base-4.10.1.0 bytestring-0.10.8.2
    byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL
    crypto-random-0.0.9-RTug622HH8JpxplJena0U
    crypto-pubkey-types-0.4.3-Hf0VF7zfPsF1pvqwdj7xOg
    cryptohash-0.11.9-8r3HdOhgkrD4sjQD80LTiC
    crypto-numbers-0.2.7-LPqGqEbpE8icK8n82OhN5
abi-depends: base-4.10.1.0=0ea45191c57c268b2351cb731ab6a0d6
             bytestring-0.10.8.2=4b2726b654ceeff6535e698a2a1e724e
             byteable-0.1.1-4PLPgH6a2E14oN7yL5y3oL=d7caed3dfdc2cc9400ff9a46cbe7296d
             crypto-random-0.0.9-RTug622HH8JpxplJena0U=e31cc14b46a0e174516084d2184d09f7
             crypto-pubkey-types-0.4.3-Hf0VF7zfPsF1pvqwdj7xOg=85182704ff7138a40504d840f6eb015d
             cryptohash-0.11.9-8r3HdOhgkrD4sjQD80LTiC=72dfa09eee316e16f9ae99b3579434d6
             crypto-numbers-0.2.7-LPqGqEbpE8icK8n82OhN5=ebb14e488759ee712ff2dcf34e923246
haddock-interfaces: /usr/share/doc/haskell-crypto-pubkey/html/crypto-pubkey.haddock
haddock-html: /usr/share/doc/haskell-crypto-pubkey/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

